DECLARE SUB Stats ()
DECLARE SUB Street1 ()
DECLARE SUB Street8 ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
DECLARE SUB TattooParlor ()
DECLARE SUB GunShop ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Street3

RestoreRoom = 16
Room:
  CLS
  PRINT "The street here runs past rows of glass-fronted shops.  Large neon signs and"
  PRINT "graffiti show a tattoo parlor to the north and a gun shop to the south.  Raw"
  PRINT "sewage flows along the open sewers."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN TattooParlor
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN GunShop
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN Street1
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Street8
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH SEWER" OR a$ = "SEARCH SEWAGE" OR a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "GET SEWAGE" THEN PRINT "You definitely don't need any of that.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "The sewage yields nothing of particular interest."
  GOTO Command

END SUB

